Bug 88606 - i can't hardlink directory
i can't hardlink directory
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 07:52 EDT by Eric Doutreleau
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 10:45:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Doutreleau 2003-04-11 07:52:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I would like to hardlink two directories
As stated by the man pages i could do that under the
identity of root user with the command

ln -d source dest

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.mkdir toto
2.ln -d toto titi
3.
    

Actual Results:  ln: creating hard link `titi' to `toto': Operation not permitted

Expected Results:  the hard link should be created.

Additional info:
Comment 1 Alan Cox 2003-06-08 10:45:47 EDT
Most file systems do not support links to directories as any user.

Note You need to log in before you can comment on or make changes to this bug.